# Uses of Class
it.tdlight.jni.TdApi.BackgroundType

## Uses of TdApi.BackgroundType in it.tdlight.jni

Subclasses of TdApi.BackgroundType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.BackgroundTypeFill`
A filled background.
`static final class`
`TdApi.BackgroundTypePattern`
A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.
`static final class`
`TdApi.BackgroundTypeWallpaper`
A wallpaper in JPEG format.
Fields in it.tdlight.jni declared as TdApi.BackgroundType
Modifier and Type
Field
Description
`TdApi.BackgroundType`
TdApi.Background.`type`
Type of the background.
`TdApi.BackgroundType`
TdApi.GetBackgroundUrl.`type`
Background type.
`TdApi.BackgroundType`
TdApi.SetBackground.`type`
Background type; pass null to use the default type of the remote background or to remove the current background.
Constructors in it.tdlight.jni with parameters of type TdApi.BackgroundType
Modifier
Constructor
Description
``
`Background(long id, boolean isDefault, boolean isDark, String name, TdApi.Document document, TdApi.BackgroundType type)`
Describes a chat background.
``
`GetBackgroundUrl(String name, TdApi.BackgroundType type)`
Constructs a persistent HTTP URL for a background.
``
`SetBackground(TdApi.InputBackground background, TdApi.BackgroundType type, boolean forDarkTheme)`
Changes the background selected by the user; adds background to the list of installed backgrounds.